@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΕΠΙΔΙΟΡΘΩΝΕΙ ΕΝΑ Ή ΠΕΡΙΣΣΟΤΕΡΑ ΒΙΝΤΕΟ ΠΟΥ ΤΟΥ ΒΑΖΕΤΕ ΩΣ ΟΡΙΣΜΑΤΑ ΜΕ EXPERIMENTAL ΤΡΟΠΟ
REM ΒΑΖΕΤΕ ΩΣ ΟΡΙΣΜΑΤΑ Π.Χ. vid1experimental-repair 1video.mp4 2video.mov 3video.flv 4video.avi 7video.webm 
REM ΑΝ ΘΕΛΕΤΕ ΝΑ ΤΟ ΔΟΚΙΜΑΣΕΤΕ ΣΤΟΝ ΙΔΙΟ ΦΑΚΕΛΟ ΜΕ ΤΑ VIDEO ΣΑΣ ΑΠΟ ΤΟ OBS
REM ΑΦΑΙΡΕΣΤΕ ΤΑ 2 ΜΙΚΡΑ rem ΣΤΗΝ ΑΡΧΗ ΚΑΙ ΤΟ ΤΕΛΟΣ ΤΟΥ SCRIPT.
REM ΑΛΛΙΩΣ ΑΝ ΤΟ ΒΑΛΕΤΕ ΣΤΟΝ ΦΑΚΕΛΟ BIN TOY FFMPEG ΔΟΥΛΕΥΕΙ ΩΣ ΕΧΕΙ
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF
rem https://video.stackexchange.com/questions/18220/fix-bad-files-and-streams-with-ffmpeg-so-vlc-and-other-players-would-not-crash
echo.
echo Επιδιορθώνω το "%~1" ..
echo.
call ffmpeg -vcodec mpeg4 -b:v 7561k -qscale:v 2 -acodec aac -ac 2 -async 1 -strict experimental "%~p1%~n1-experimental-repaired.%~x1" -threads 0 -i "%~1"

if %ERRORLEVEL% NEQ 0 (
		call vidCodeError.bat %errorlevel%
		shift
	) else (
		call vidCodeError.bat 0
		shift		
)
if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0